Page MenuHomePhabricator

Fix issues with permissions for Special:Investigate access to checkusers on frwiki
Closed, ResolvedPublic

Description

We heard from French Wikipedia Checkusers about them being unable to access Special:Investigate tool.

The problem is that the investigate right is not part of the checkusers role: https://fr.wikipedia.org/wiki/Spécial:Liste_des_droits_de_groupe

Event Timeline

Niharika triaged this task as High priority.Aug 11 2020, 4:58 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2020, 4:58 PM

Change 619506 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[operations/mediawiki-config@master] Grant all users in the checkuser group the investigate right

https://gerrit.wikimedia.org/r/619506

Change 619506 merged by jenkins-bot:
[operations/mediawiki-config@master] Grant all users on frwiki the checkuser group the investigate right

https://gerrit.wikimedia.org/r/619506

Mentioned in SAL (#wikimedia-operations) [2020-08-11T18:28:19Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Grant investigate right to checkuser group on frwiki (T260171) (duration: 01m 04s)

dom_walden added a subscriber: dom_walden.

This looks fine to me. I don't think there is anything more I can do.

Niharika closed this task as Resolved.Aug 14 2020, 9:54 PM